[SCM] laditools/master: Add debian/get-orig-source.sh, document how to use it.
alessio at users.alioth.debian.org
alessio at users.alioth.debian.org
Tue Jan 25 00:12:40 UTC 2011
The following commit has been merged in the master branch:
commit f43cbcfe742ed0e5b1ff52988916209e8d424567
Author: Alessio Treglia <alessio at debian.org>
Date: Tue Jan 25 01:11:20 2011 +0100
Add debian/get-orig-source.sh, document how to use it.
diff --git a/debian/README.source b/debian/README.source
new file mode 100644
index 0000000..4f6ddfb
--- /dev/null
+++ b/debian/README.source
@@ -0,0 +1,7 @@
+jack-keyboard for Debian
+------------------------
+
+ To retrieve an updated upstream's tarball you can use the script in
+ debian/get-git-source.sh.
+
+ -- Alessio Treglia <alessio at debian.org> Mon, 24 Jan 2011 20:37:17 +0100
diff --git a/debian/get-orig-source.sh b/debian/get-orig-source.sh
new file mode 100755
index 0000000..afc8083
--- /dev/null
+++ b/debian/get-orig-source.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+BASE_REL=$(dpkg-parsechangelog 2>/dev/null | sed -ne 's/Version: \([0-9.]\+~rc2\)+.*/\1/p')
+OLDDIR=${PWD}
+GOS_DIR=${OLDDIR}/get-orig-source
+GIT_COMMIT='git log --color=never -1 --oneline | cut -d" " -f1'
+GIT_DATE='git log --color=never -1 --date=iso | sed -ne "s/Date:\s\+\(.*\).*/\1/p" | cut -d" " -f1 | tr -d "-"'
+
+if [ -z ${BASE_REL} ]; then
+ echo 'Please run this script from the sources root directory.'
+ exit 1
+fi
+
+
+rm -rf ${GOS_DIR}
+mkdir ${GOS_DIR} && cd ${GOS_DIR}
+git clone git://repo.or.cz/laditools.git laditools
+cd laditools/
+LADITOOLS_GIT_COMMIT=$(eval "${GIT_COMMIT}")
+LADITOOLS_GIT_DATE=$(eval "${GIT_DATE}")
+cd .. && tar cjf \
+ ${OLDDIR}/swh-lv2_${BASE_REL}+${LADITOOLS_GIT_DATE}.git${LADITOOLS_GIT_COMMIT}.orig.tar.bz2 \
+ laditools --exclude=.git
+rm -rf ${GOS_DIR}
--
laditools packaging
More information about the pkg-multimedia-commits
mailing list